# Uses of Class
org.eclipse.swt.graphics.TextStyle

Packages that use TextStyle
Package
Description
org.eclipse.jface.viewers
Provides a framework for viewers, which are model-based content adapters for SWT widgets.
org.eclipse.swt.accessibility
SWT Accessibility.
org.eclipse.swt.custom
SWT Custom widgets.
org.eclipse.swt.graphics
SWT graphics classes.
org.eclipse.swt.widgets
SWT widget public API classes.

## Uses of TextStyle in org.eclipse.jface.viewers

Methods in org.eclipse.jface.viewers with parameters of type TextStyle
Modifier and Type
Method
Description
`abstract void`
StyledString.Styler.`applyStyles(TextStyle textStyle)`
Applies the styles represented by this object to the given textStyle.

## Uses of TextStyle in org.eclipse.swt.accessibility

Fields in org.eclipse.swt.accessibility declared as TextStyle
Modifier and Type
Field
Description
`TextStyle`
AccessibleTextAttributeEvent.`textStyle`
[in/out] the TextStyle of the character range

## Uses of TextStyle in org.eclipse.swt.custom

Subclasses of TextStyle in org.eclipse.swt.custom
Modifier and Type
Class
Description
`class`
`StyleRange`
`StyleRange` defines a set of styles for a specified range of text.
Constructors in org.eclipse.swt.custom with parameters of type TextStyle
Modifier
Constructor
Description
``
`StyleRange(TextStyle style)`
Create a new style range from an existing text style.

## Uses of TextStyle in org.eclipse.swt.graphics

Methods in org.eclipse.swt.graphics that return TextStyle
Modifier and Type
Method
Description
`TextStyle`
TextLayout.`getStyle(int offset)`
Gets the style of the receiver at the specified character offset.
`TextStyle[]`
TextLayout.`getStyles()`
Gets all styles of the receiver.
Methods in org.eclipse.swt.graphics with parameters of type TextStyle
Modifier and Type
Method
Description
`void`
TextLayout.`setStyle(TextStyle style, int start, int end)`
Sets the style of the receiver for the specified range.
Constructors in org.eclipse.swt.graphics with parameters of type TextStyle
Modifier
Constructor
Description
``
`TextStyle(TextStyle style)`
Create a new text style from an existing text style.

## Uses of TextStyle in org.eclipse.swt.widgets

Methods in org.eclipse.swt.widgets that return TextStyle
Modifier and Type
Method
Description
`TextStyle[]`
IME.`getStyles()`
Returns the styles for the ranges.